Skip to main content
PATCH
/
customers
/
{customer_id}
/
setup_links
/
{setup_link_id}
curl --request PATCH \ --url https://api.kapso.ai/platform/v1/customers/{customer_id}/setup_links/{setup_link_id} \ --header 'Content-Type: application/json' \ --header 'X-API-Key: <api-key>' \ --data ' { "setup_link": { "status": "revoked" } } '
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "status": "active",
    "created_at": "2023-11-07T05:31:56Z",
    "url": "<string>",
    "expires_at": "2023-11-07T05:31:56Z",
    "success_redirect_url": "<string>",
    "failure_redirect_url": "<string>",
    "allowed_connection_types": [
      "coexistence",
      "dedicated"
    ],
    "theme_config": {
      "primary_color": "<string>",
      "primary_foreground_color": "<string>",
      "background_color": "<string>",
      "text_color": "<string>",
      "muted_text_color": "<string>",
      "card_color": "<string>",
      "muted_color": "<string>",
      "border_color": "<string>",
      "secondary_color": "<string>",
      "secondary_foreground_color": "<string>",
      "destructive_color": "<string>",
      "destructive_foreground_color": "<string>"
    },
    "provision_phone_number": true,
    "phone_number_area_code": "<string>",
    "phone_number_country_isos": [
      "<string>"
    ],
    "language": "en",
    "whatsapp_setup_status": "pending",
    "whatsapp_setup_error": "<string>"
  }
}

Authorizations

X-API-Key
string
header
required

Path Parameters

customer_id
string<uuid>
required

Body

application/json

Response

Setup link updated

data
object
required